LinHES - Feature # 494: test pattern videos

Status: Rejected Priority: Normal

Author: GregFrost Category:

Created: 08/11/2009 Assignee:

Updated: 11/07/2012 Due date:

Description: It would be useful to have some test pattern videos. This would allow users to test their display setup and

playback profiles.

Rather than providing the video files which would require heaps of space on the CD or large downloads,
include a simple program that generates them from a service menu option and places the video file in the tv
recordings with an appropriate title and subtitle.

Here is what | am thinging:

Include a circle that is almost full screen to allow assessment of the display aspect ratio.

Include lines that intersect at the corners for assessment of overscan.

Allow it to be generated in any of the standard broadcast formats: 480i@30 576i@25 576p@50 1080i@30
1080i@25 720p@50 720p@60.

Anotate the resolution/interlace/frame rate in the middle of the circle.

Include a ticker to test for judder and interlacing artefacts.

Include wide vertcal bar that moves rapidly across the screen from right to left to test for tearing.

History

08/26/2009 03:01 pm - mihanson

There are a slew of test patterns available [[http://www.w6rz.net/|here]]. Does that help?
03/21/2010 06:39 pm - jams

- Tracker changed from Bug to Feature

03/26/2010 10:20 pm - GregFrost
| have added a test-pattern package to core-testing which has a script that creates a test patern video with a ticker and a tearing stripe. At the moment,

it doesnt allow the codec/bitrate/framerate/interlace etc to be specified, it just defaults to mpeg1.

10/11/2011 06:46 pm - mihanson

Is this still needed?
11/07/2012 01:25 pm - jams

- Status changed from New to Rejected

mythtv setup wizard includes this, so it's no longer needed
